# QGridLayout Class Reference

### [com.trolltech.qt.gui package]

Inherits QLayout.

### Constructor

- void QGridLayout()
- void QGridLayout(QWidget parent)

### Constructor Properties

- prototype: The QGridLayout prototype object

### Prototype Object Properties

The QGridLayout prototype object inherits properties from the QLayout prototype object and also has the following properties.

- void addItem(QLayoutItem item, int row, int column, int rowSpan, int columnSpan, Alignment arg__6)
- void addLayout(QLayout arg__1, int row, int column, Alignment arg__4)
- void addWidget(QWidget arg__1, int row, int column, Alignment arg__4)
- QRect cellRect(int row, int column)
- int columnCount()
- int columnMinimumWidth(int column)
- int columnStretch(int column)
- void getItemPosition(int idx, int row, int column, int rowSpan, int columnSpan)
- int horizontalSpacing()
- QLayoutItem itemAtPosition(int row, int column)
- Corner originCorner()
- int rowCount()
- int rowMinimumHeight(int row)
- int rowStretch(int row)
- void setColumnMinimumWidth(int column, int minSize)
- void setColumnStretch(int column, int stretch)
- void setDefaultPositioning(int n, Orientation orient)
- void setHorizontalSpacing(int spacing)
- void setOriginCorner(Corner arg__1)
- void setRowMinimumHeight(int row, int minSize)
- void setRowStretch(int row, int stretch)
- void setSpacing(int spacing)
- void setVerticalSpacing(int spacing)
- int spacing()
- int verticalSpacing()

### Instance Properties

QGridLayout objects have no special properties beyond those inherited from the QGridLayout prototype object.